Error when trying to upload a new version of the same map to the vault

0

I'm using FAForeverMapEditor
v0.704-Alpha

Always encounter this issue when trying to patch previous versions of my maps. Map Editor offers to create a new version so I do just that.
But once I try to upload it to the FAF Vault, here's what I get:

The scenario.lua has to contain the following line: map = '/maps/the_great_gate/the_great_gate.scmap' The scenario.lua has to contain the following line: save = '/maps/the_great_gate/the_great_gate_save.lua' The scenario.lua has to contain the following line: script = '/maps/the_great_gate/the_great_gate_script.lua'

scenario.lua is not supposed to have those lines as it's a new version.

And in case I try to overwrite the original map it says current map already exists.

This is really frustrating because going over error and trial method I actually spoiled my original map and it wouldn't work now at all.

The best solution to this problem in my mind would be giving map creators an option to delete our maps from the vault.

0

I agree, the card still needs to be tested,
as an option, you can add the ability to hide the card in the first 24 hours

0

You can test a map without using the vault. As the author of a map you can always hide your maps.

2b93f686-cf21-4fe1-a92f-53a59b145fb3-image.png

A work of art is never finished, merely abandoned

0

@jip I have a sign coming out
"failed to hide the map"